org.apache.jasper.xmlparser

## Class EncodingMap

- java.lang.Object
- - org.apache.jasper.xmlparser.EncodingMap

- Deprecated.
  Will be removed in Tomcat 9.0.x onwards

      @Deprecated
      public class EncodingMap
      extends Object

  EncodingMap is a convenience class which handles conversions between IANA encoding names and Java encoding names, and vice versa. The encoding names used in XML instance documents must be the IANA encoding names specified or one of the aliases for those names which IANA defines.

  Mapping of IANA encoding names and Java encoding names
  Common Name | Use this name in XML files | Name Type | Xerces converts to this Java Encoder Name
  8 bit Unicode | UTF-8 | IANA | UTF8
  ISO Latin 1 | ISO-8859-1 | MIME | ISO-8859-1
  ISO Latin 2 | ISO-8859-2 | MIME | ISO-8859-2
  ISO Latin 3 | ISO-8859-3 | MIME | ISO-8859-3
  ISO Latin 4 | ISO-8859-4 | MIME | ISO-8859-4
  ISO Latin Cyrillic | ISO-8859-5 | MIME | ISO-8859-5
  ISO Latin Arabic | ISO-8859-6 | MIME | ISO-8859-6
  ISO Latin Greek | ISO-8859-7 | MIME | ISO-8859-7
  ISO Latin Hebrew | ISO-8859-8 | MIME | ISO-8859-8
  ISO Latin 5 | ISO-8859-9 | MIME | ISO-8859-9
  EBCDIC: US | ebcdic-cp-us | IANA | cp037
  EBCDIC: Canada | ebcdic-cp-ca | IANA | cp037
  EBCDIC: Netherlands | ebcdic-cp-nl | IANA | cp037
  EBCDIC: Denmark | ebcdic-cp-dk | IANA | cp277
  EBCDIC: Norway | ebcdic-cp-no | IANA | cp277
  EBCDIC: Finland | ebcdic-cp-fi | IANA | cp278
  EBCDIC: Sweden | ebcdic-cp-se | IANA | cp278
  EBCDIC: Italy | ebcdic-cp-it | IANA | cp280
  EBCDIC: Spain, Latin America | ebcdic-cp-es | IANA | cp284
  EBCDIC: Great Britain | ebcdic-cp-gb | IANA | cp285
  EBCDIC: France | ebcdic-cp-fr | IANA | cp297
  EBCDIC: Arabic | ebcdic-cp-ar1 | IANA | cp420
  EBCDIC: Hebrew | ebcdic-cp-he | IANA | cp424
  EBCDIC: Switzerland | ebcdic-cp-ch | IANA | cp500
  EBCDIC: Roece | ebcdic-cp-roece | IANA | cp870
  EBCDIC: Yugoslavia | ebcdic-cp-yu | IANA | cp870
  EBCDIC: Iceland | ebcdic-cp-is | IANA | cp871
  EBCDIC: Urdu | ebcdic-cp-ar2 | IANA | cp918
  Chinese for PRC, mixed 1/2 byte | gb2312 | MIME | GB2312
  Extended Unix Code, packed for Japanese | euc-jp | MIME | eucjis
  Japanese: iso-2022-jp | iso-2020-jp | MIME | JIS
  Japanese: Shift JIS | Shift_JIS | MIME | SJIS
  Chinese: Big5 | Big5 | MIME | Big5
  Extended Unix Code, packed for Korean | euc-kr | MIME | iso2022kr
  Cyrillic | koi8-r | MIME | koi8-r

  Author:
    TAMURA Kent, IBM, Andy Clark, IBM

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `EncodingMap()` Deprecated. Default constructor.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static String` | `getIANA2JavaMapping(String ianaEncoding)` Deprecated. Returns the Java encoding name for the specified IANA encoding name.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EncodingMap

          public EncodingMap()

      Deprecated.
      Default constructor.

  - ### Method Detail

    - #### getIANA2JavaMapping

          public static String getIANA2JavaMapping(String ianaEncoding)

      Deprecated.
      Returns the Java encoding name for the specified IANA encoding name.
      Parameters:
        `ianaEncoding` - The IANA encoding name.
      Returns:
        the Java encoding

Copyright © 2000-2017 Apache Software Foundation. All Rights Reserved.